---
title: Categories
slug: categories
docTags: 
createdAt: 2022-04-14T07:56:19.000Z
---

Methods allow you to get a list of portal brands or information on a specific brand.

***

::::ExpandableHeading
# <font color="#2166ae">GET</font> /categories

Return a list of categories.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.0/categories/",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "limit",
        "type": "Integer",
        "description": "The number of results to return per page."
      },
      {
        "kind": "optional",
        "name": "offset",
        "type": "Integer",
        "description": "The initial index from which to return the results."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "FJ3zsBaijz6TuVFI40xNy",
        "code": "{\n   \"count\":45,\n   \"next\":\"https://test.eyrene.com/api/data/v1.0/categories/?limit=30&offset=30\",\n   \"previous\":null,\n   \"results\":[\n      {\n         \"id\":236,\n         \"name\":\"CANDIES\"\n      },\n      {\n         \"id\":240,\n         \"name\":\"CHOCOLATE STICKS\"\n      },\n      {\n         \"id\":255,\n         \"name\":\"COFFEE\"\n      },\n      {\n         \"id\":257,\n         \"name\":\"COFFEE CAPSULES\"\n      },\n      {\n         \"id\":258,\n         \"name\":\"CAT FOOD\"\n      },\n      {\n         \"id\":260,\n         \"name\":\"DOG FOOD\"\n      },\n      {\n         \"id\":261,\n         \"name\":\"FRUIT PUREE\"\n      },\n      {\n         \"id\":263,\n         \"name\":\"JUICE DRINK\"\n      }\"...\"\n   ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "FJ3zsBaijz6TuVFI40xNy"
  },
  "examples": {
    "languages": [
      {
        "id": "dpmODah_ZAOTKtuSexN5X",
        "code": "curl –i –X GET\n  https://test.eyrene.com/api/data/v1.0/categories/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’\n  –F \"offset=30\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dpmODah_ZAOTKtuSexN5X"
  },
  "description": "GET /categories",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "dZCdkAm2Qb8jsY16vZYqh"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1/agents/agents_list#response-definitions)

***

`count` *integer*

The number of categories.

***

`next` *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

`previous` *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

`results` *array of objects*

An array of objects with information about categories.

- `id` *integer*
  Category ID.
- `name` *string* <font color="#2166ae">[ 1 .. 255 ] characters</font>
  Category name.

***


::::

***

::::ExpandableHeading
# <font color="#2166ae">GET</font> /categories/\{id}

Returns information about the category by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.0/categories/{id}",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Category ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "FJ3zsBaijz6TuVFI40xNy",
        "code": "{\n   \"id\":19765,\n   \"name\":\"CAT FOOD\"\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "FJ3zsBaijz6TuVFI40xNy"
  },
  "examples": {
    "languages": [
      {
        "id": "dpmODah_ZAOTKtuSexN5X",
        "code": "curl –i –X GET\n  https://test.eyrene.com/api/data/v1.0/categories/19765/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’\n  –F \"limit=3\" \\\n  –F \"offset=0\" ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dpmODah_ZAOTKtuSexN5X"
  },
  "description": "GET /categories/{id}",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-1",
  "legacyHash": "wU7GPqkDPIeKw0PseegW3"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1/agents/agents_read#response-definitions)

***

`id` *integer*

Category ID.

***

`name` *string* <font color="#2166ae">[ 1 .. 255 ] characters</font>

Category name.

***
::::

***

